﻿//
//	File: functions.js
//	By: Henrik Virking, 2006-07-11
//
//	This file is a part of the radioTuner widget, 
//	I've put the code for the different radiostations and functions 
//	in this separate file to keep the main widget-
//	file nice and clean. 

var stat;
var currentStreamFormat;

//RADIOSTATION DATA - 175
function loadStationData()
	{
	// AUSTRALIA - AU - 5
	triplej = new Array("img/triplej.png", "http://www.abc.net.au/streaming/triplej.asx", "Triple J", "wm");
	ra = new Array("img/ra.png", "http://www.abc.net.au/streaming/ra.asx", "Radio Australia", "wm");
	ranational = new Array("img/ranational.png", "http://www.abc.net.au/streaming/RN.asx", "ABC Radio National", "wm");
	abcsydney = new Array("img/abcsydney.png", "http://www.abc.net.au/sydney/702stream.asx", "702 ABC Sydney", "wm");
	abccoast = new Array("img/abccoast.png", "http://www.abc.net.au/streaming/coast.asx", "ABC Coast FM", "wm");
	
	//AUSTRIA - AT - 14
	orfo1gehort= new Array("img/orf1.png", "mms://stream1.orf.at/oe1-wort", "ORF Ö1 - gehört gehört", "wm"); 
	orfo1journale= new Array("img/orf1.png", "mms://stream1.orf.at/oe1-news", "ORF Ö1 - Journale rund um die Uhr", "wm");
	orfo3= new Array("img/orf3.png", "mms://stream2.orf.at/oe3_live", "ORF Ö3 - Hitradio", "wm");
	orffm4= new Array("img/orffm4.png", "mms://stream1.orf.at/fm4_live", "ORF FM4 - you're at home, baby", "wm");
	orfburgenland= new Array("img/orf_burgenland.png", "mms://stream2.orf.at/radio_bgl", "ORF - Radio Burgenland", "wm");
	orfkarnten= new Array("img/orf_karnten.png", "http://proxitv12.speednet.at/radioktn", "ORF - Radio Kärnten", "wm");
	orfnieder= new Array("img/orf_niederosterreich.png", "mms://radio-noe.streaming.kabsi.at/radio_noe", "ORF - Radio Niederösterreich", "wm");
	orfober= new Array("img/orf_oberosterreich.png", "mms://212.33.55.236/radioooe", "ORF - Radio Oberösterreich", "wm");
	orfsalzburg= new Array("img/orf_salzburg.png", "rtsp://realorf.conova.com/salzburg.ra", "ORF - Radio Salzburg", "ra");
	orfsteiermark= new Array("img/orf_steiermark.png", "http://vid01.wkstmk.at/ram/radiost.ram", "ORF - Radio Steiermark", "ra");
	orftirol= new Array("img/orf_tirol.png", "mms://stream2.orf.at/radio_tirol", "ORF - Radio Tirol", "wm");
	orfvorarlberg= new Array("img/orf_voralberg.png", "http://your.orf.at/vbgwebcam/radio/radiovbg_32.m3u", "ORF - Radio Vorarlberg", "wm");
	orfwien= new Array("img/orf_wien.png", "mms://stream1.orf.at/radiowien_live", "ORF - Radio Wien", "wm");
	orf1476= new Array("img/orf_1476.png", "mms://stream2.orf.at/1476", "ORF - Radio 1476", "wm");
	
	//CANADA - CA - 4
	thewolf= new Array("img/thewolf.png", "http://www.1096qw.com/asx/CFWF-2.asx", "CFWF Regina (The Wolf) 104.9", "wm");
	krock= new Array("img/krock.png", "http://streaming.newcap.ca/krock973.asx", "CIRK Edmonton (K-rock) 97.3", "wm");
	reddeer= new Array("img/zed.png", "http://streaming.newcapinteractive.com/zedfm.asx", "CIZZ Red Deer (Zed) 98.9", "wm");
	cj92 = new Array("img/cj92.png", "http://www.sri.ca/asx/cjay.asx", "CJAY 92 - Calgary", "wm");
	
	//CZECH REPUBLIC - CZ - 1
	evropa2= new Array("img/evropa2.png", "mms://netshow3.live.cz/evropa2-64", "Evropa 2", "wm");
	
	//GERMANY - DE - 12
	klassikradio= new Array("img/klassikradio.png", "http://62.146.11.19:80/3165klassikradio_live.mp3", "Klassik radio", "wm");
	nrjmunchen = new Array("img/nrj.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=energymuenchen$livestream.wma&content=live&media=ms", "NRJ München", "wm");
	nrjberlin = new Array("img/nrj.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=energyberlin/livestream.wma&content=live&media=ms", "NRJ Berlin", "wm");
	nrjnurnberg = new Array("img/nrj.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=energynuernberg$livestream.wma&content=live&media=ms", "NRJ Nürnberg", "wm");
	nrjhamburg = new Array("img/nrj.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=energyhamburg$livestream.wma&content=live&media=ms", "NRJ Hamburg", "wm");
	nrjsachsen = new Array("img/nrj.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=energysachsen$livestream.wma&content=live&media=ms", "NRJ Sachsen", "wm");
	nrjbremen = new Array("img/nrj.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=energybremen$livestream.wma&content=live&media=ms", "NRJ Bremen", "wm");
	spreeradio= new Array("img/spreeradio.png", "mms://wm-ipx-02.stream.tv1.de/2925spreeradio_live.wmv?cid=47628&dummy=.wmv", "SpreeRadio", "wm");
	rs2= new Array("img/rs2.png", "http://lsd.newmedia.tiscali-business.com/bb/redirect.lsc?adid=0&stream=radiors2$livestream.wma&content=live&media=ms", "RS2", "wm");
	paradiso= new Array("img/paradiso.png", "http://213.73.109.6/radio-paradiso?WMThinning=0", "Radio Paradiso 98,2 - Berlin", "wm");
	dlf = new Array("img/dlf.png", "http://www.dradio.de/streaming/dlf.asx", "dradio.de - Deutschlandfunk", "wm");
	dlk = new Array("img/dlk.png", "http://www.dradio.de/streaming/dkultur.asx", "dradio.de - Deutschlandradio Kultur", "wm");
	
	//NETHERLANDS - NL - 1
	nlr4 = new Array("img/nlr4.png", "http://www.nps.nl/output/output.asx", "Radio 4", "wm");
	
	//PANAMA - PA - 33
	omega = new Array("img/omega.png", "http://real.psi.net.pa:8080/ramgen/live/omega.ra", "Omega Stereo", "ra");
	meto = new Array("img/meto.png", "http://www.audiopanama.com/meto/meto.asx", "M.E.T.O.", "wm");
	stereo89 = new Array("img/stereo89.png", "http://real.psi.net.pa:8080/ramgen/live/stereo89.ra", "Stereo 89", "ra");
	superq = new Array("img/superq.png", "rtsp://200.46.2.20:554/live/superq.ra", "Super Q", "ra");
	tropiq = new Array("img/tropiq.png", "http://www.canal1.net/radio/tropiq.ram", "TropiQ", "ra");
	kw = new Array("img/kw.png", "http://real.psi.net.pa:8080/ramgen/live/kwcontinente.ra", "KW Continente", "ra");
	bahia = new Array("img/bahia.png", "http://real.psi.net.pa:8080/ramgen/live/bahia.ram", "Estereo Bahia", "ra");
	rpc = new Array("img/rpc.png", "mms://200.75.231.136:1322", "RPC Radio", "wm");
	wradio = new Array("img/wradio.png", "http://www.canal1.net/radio/wradio.ram", "W Radio", "ra");
	super1 = new Array("img/super1.png", "http://www.canal1.net/radio/super.ram", "Power", "ra");
	wao975 = new Array("img/wao975.png", "http://www.wao975.com/wao.asx", "WAO 975", "wm");
	fabulosa = new Array("img/fabulosa.png", "http://www.canal1.net/radio/fabulosa.ram", "Fabulosa", "ra");
	claret = new Array("img/claret.png", "http://www.radioclaret.net/radioclaret.asx", "Radio Claret", "wm");
	chiriqui = new Array("img/chiriqui.png", "http://www.audiopanama.com/chiriqui/chiriqui.asx", "Radio Chiriqui", "wm");
	princ = new Array("img/princ.png", "http://audio.grupolatinoderadio.com/envivo.ASX?EMI=PA40P", "40 Pricipales", "wm");
	radiomil = new Array("img/radiomil.png", "http://real.psi.net.pa:8080/ramgen/live/radiomil.rm", "Radio Mil", "ra");
	antena8 = new Array("img/antena8.png", "http://www.antena8.com/antena8.asx", "Antena 8", "wm");
	radio10 = new Array("img/radio10.png", "http://www.canal1.net/radio/radio10.ram", "Radio 10", "ra");
	rocknpop = new Array("img/rocknpop.png", "http://www.rocknpop.com.pa/RockNPop.ASX", "Rock n Pop", "wm");
	reforma = new Array("img/reforma.png", "mms://201.224.109.125:8080/", "Radio Reforma", "wm");
	mega = new Array("img/mega.png", "http://canal1.net/radio/mega.ram", "L.A. Mega", "ra");
	hit = new Array("img/hit.png", "mms://itoliveradio.com/radiohits", "Radio Hit", "wm");
	caliente = new Array("img/caliente.png", "http://200.75.231.135/caliente97/", "Caliente 97", "ra");
	mia = new Array("img/mia.png", "http://www.audiopanama.com/radiomia/radiomia_live.asx", "Radio Mia", "wm");
	tropy = new Array("img/tropy.png", "http://www.audiopanama.com/tropyhits/tropyhits.asx", "Tropy Hits", "wm");
	ritmo = new Array("img/ritmo.png", "http://www.audiopanama.com/ritmo/ritmo.asx", "Stereo Ritmo", "wm");
	planet = new Array("img/planet.png", "http://www.audiopanama.com/planet/planet.asx", "Planet 100.9", "wm");
	megamix = new Array("img/megamix.png", "http://www.audiopanama.com/megamix/megamix.asx", "Mega Mix", "wm");
	blast = new Array("img/blast.png", "http://www.audiopanama.com/blast/blast.asx", "Blast", "wm");
	marbella = new Array("img/marbella.png", "mms://itoliveradio.com/marbella", "Marbella", "wm");
	la95 = new Array("img/la95.png", "mms://201.224.82.20/95uno_live", "La 95. uno", "wm");
	tropico = new Array("img/tropico.png", "mms://itoliveradio.com/tropico", "La voz del tropico", "wm");
	prov = new Array("img/prov.png", "mms://201.225.82.76/radioprovincias.com", "Radio Provincias", "wm");
		
	//SWEDEN - SE - 58
	rixfm = new Array("img/rixfm.png", "http://www.rixfm.com/stream/stream.asx", "RIX FM", "wm");
	bandit = new Array("img/bandit.png", "http://www.bandit1063.com/stream/stream.asx", "Bandit Rock 106,3", "wm");	
	srp3star = new Array("img/p3star.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p3star-High", "SR P3 Star", "wm");
	srp3rockster = new Array("img/p3rockster.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p3rockster-High", "SR P3 Rockster", "wm");
	srx = new Array("img/srx.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-srx-High", "SR X", "wm");
	srp3svea = new Array("img/srp3svea.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p3svea-High", "SR P3 Svea", "wm");
	srp3street = new Array("img/srp3street.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p3street-High", "SR P3 Street", "wm");
	srp5 = new Array("img/srp5.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p5stockholm-High", "SR P5 Stockholm", "wm");
	nrj = new Array("img/nrj.png", "http://www.nrj.se/stream/stream.asx", "NRJ", "wm");
	mixmegapol = new Array("img/mixmegapol.png", "http://www.nwrweb.com/player/asx/199.asx?playerKey=mixmegapol", "MIX Megapol", "wm");
	studio1075 = new Array("img/studio1075.png", "rtsp://nwr.streaming.telia.com/nwr/Studio1075/Studio1075/-1c0be2e8/studio1075m.asf", "Studio 107,5", "wm");
	thevoice = new Array("img/thevoice.png", "rtsp://nwr.streaming.telia.com/nwr/TheVoiceSE/TheVoiceSE/-1c0be2e6/thevoicese48.asf", "The Voice", "wm");
	lugnafavoriter = new Array("img/lugnafavoriter.png", "http://www.lugnafavoriter.com/stream/stream.asx", "Lugna Favoriter", "wm");
	svenskafavoriter = new Array("img/svenskafavoriter.png", "http://www.svenskafavoriter.se/stream/stream.asx", "Svenska Favoriter", "wm");
	radioseven = new Array("img/radioseven.png", "http://www.radioseven.se/r7_kabel.asx", "Radio Seven", "wm");
	playdio = new Array("img/playdio.png", "http://www.playdio.se/bredband.asx", "playdio.se", "wm");
	srp1 = new Array("img/srp1.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p1-High", "SR P1", "wm");
	srp2 = new Array("img/srp2.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p2musik-High", "SR P2", "wm");
	srp3 = new Array("img/srp3.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-p3-High", "SR P3", "wm");
	srp4u = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-vastmanland-High", "SR P4 Västmanland", "wm");
	srp4k = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-blekinge-High", "SR P4 Blekinge", "wm");
	srp4w = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-dalarna-High", "SR P4 Dalarna", "wm");
	srp4i = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-gotland-High", "SR P4 Gotland", "wm");
	srp4x = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-gavleborg-High", "SR P4 Gävleborg", "wm");
	srp4gote = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-goteborg-High", "SR P4 Göteborg", "wm");
	srp4n = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-halland-High", "SR P4 Halland", "wm");
	srp4z = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-jamtland-High", "SR P4 Jämtland", "wm");
	srp4f = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-jonkoping-High", "SR P4 Jönköping", "wm");
	srp4h = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-kalmar-High", "SR P4 Kalmar", "wm");
	srp4krist = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-kristianstad-High", "SR P4 Kristianstad", "wm");
	srp4g = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-kronoberg-High", "SR P4 Kronoberg", "wm");
	srp4malmo = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-malmo-High", "SR P4 Malmö", "wm");
	srp4bd = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-norrbotten-High", "SR P4 Norrbotten", "wm");
	srp4o = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-vast-High", "SR P4 Väst", "wm");
	srp4sju = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-sjuharad-High", "SR P4 Sjuhärad", "wm");
	srp4skara = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-skaraborg-High", "SR P4 Skaraborg", "wm");
	srp4ab = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-stockholm-High", "SR P4 Stockholm", "wm");
	srp4d = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-sormland-High", "SR P4 Sörmland", "wm");
	srp4c = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-uppland-High", "SR P4 Uppland", "wm");
	srp4s = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-varmland-High", "SR P4 Värmland", "wm");
	srp4ac = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-vasterbotten-High", "SR P4 Västerbotten", "wm");
	srp4y = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-vasternorrland-High", "SR P4 Västernorrland", "wm");
	srp4t = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-orebro-High", "SR P4 Örebro", "wm");
	srp4e = new Array("img/srp4.png", "http://www.sr.se/webbradio/createasx.asp?namn=SR-ostergotland-High", "SR P4 Östergötland", "wm");
	matchjonkoping = new Array("img/radiomatch.png", "rtsp://nwr.streaming.telia.com/nwr/MatchJonkoping/MatchJonkoping/20da9bcf/jkpg48.asf", "Radio Match - Jönköping", "wm");
	matchboras = new Array("img/radiomatch.png", "rtsp://nwr.streaming.telia.com/nwr/MatchBoras/MatchBoras/20da9bd1/boras48kb.asf", "Radio Match - Borås", "wm");
	matchkalmar = new Array("img/radiomatch.png", "http://217.25.249.66/RadioMatch", "Radio Match - Kalmar", "wm");
	matchkarlskrona = new Array("img/radiomatch.png", "http://195.84.17.221/RadioMatch", "Radio Match - Karlskrona", "wm");
	rockklassiker = new Array("img/rockklassiker.png", "rtsp://nwr.streaming.telia.com/nwr/Rockklassiker/Rockklassiker/-1c0be2ea/rockklassiker48.asf", "Rockklassiker 106,7", "wm");
	citygbg = new Array("img/radiocity.png", "rtsp://nwr.streaming.telia.com/nwr/RadioCityGBG/RadioCityGBG/20da9bd4/rcgbg48.asf", "Radio City - Göteborg", "wm");
	citymalmo = new Array("img/radiocity.png", "rtsp://nwr.streaming.telia.com/nwr/RadioCityMalmo/RadioCityMalmo/72c553f7/mmrcmmomid.asf", "Radio City - Malmö", "wm");
	gamlagodingar = new Array("img/gamlagodingar.png", "mms://nwr.streaming.telia.com/nwr/Vinyl107/Vinyl107/-1c0be2e4/vinyl107m.asf", "Gamla godingar 107,1 Vinyl", "wm");
	soundic = new Array("img/soundic.png", "http://www.soundicradio.com/bredband.pls", "Soundic Radio", "ra");
	radioactive = new Array("img/radioactive.png", "http://stream.radioactive.se:8090/active.mp3", "Radio Active 103,9", "ra");
	love = new Array("img/love.png", "mms://nwr.streaming.telia.com/nwr/Love1039/Love1039/72c553be/love_low.asf", "Love 103,9", "wm");
	indie = new Array("img/indie.png", "http://radio.indie.nu:8000/listen.pls", "indie.nu", "ra");
	srdingata = new Array("img/dingata.png", "http://sr.se/webbradio/createasx.asp?namn=SR-dingata-High", "SR Din gata", "wm");
	radiovox = new Array("img/radiovox.png", "http://www.radiovox.se/bredband.ram", "RadioVox", "wm");
	
	//UNITED KINGDOM - UK - 17
	bbconeextra = new Array("img/bbconeextra.png", "rtsp://rmlivev8.bbc.net.uk/farm/*/ev7/live24/1xtra/live/1xtra_dsat_g2.ra", "BBC 1 Extra", "ra");
	virgin = new Array("img/virgin.png", "rtsp://wm.smgradio.com/vruk_vr_hi", "Virgin Radio", "wm");
	virginclassic = new Array("img/virginclassic.png", "rtsp://wm.smgradio.com/vruk_vc_hi", "Virgin Classic Rock", "wm");
	virginxtreme = new Array("img/virginxtreme.png", "rtsp://wm.smgradio.com/vruk_vx_hi", "Virgin Xtreme", "wm");
	virgingroove = new Array("img/virgingroove.png", "rtsp://wm.smgradio.com/vruk_gr_hi", "Virgin Groove", "wm");
	bbc1 = new Array("img/bbc1.png", "http://www.bbc.co.uk/radio1/realaudio/media/r1live.ram", "BBC Radio 1", "ra");
	bbc2 = new Array("img/bbc2.png", "http://www.bbc.co.uk/radio2/realmedia/fmg2.ram", "BBC Radio 2", "ra");
	bbc3 = new Array("img/bbc3.png", "http://www.bbc.co.uk/radio3/ram/r3g2.ram", "BBC Radio 3", "ra");
	bbc4 = new Array("img/bbc4.png", "http://www.bbc.co.uk/radio4/realplayer/media/fmg2.ram", "BBC Radio 4", "ra");
	bbc5 = new Array("img/bbc5.png", "http://www.bbc.co.uk/support/staticram/fivelive/live/surestream_int.ram", "BBC Radio 5", "ra");
	bbc5extra = new Array("img/bbc5extra.png", "http://www.bbc.co.uk/fivelive/live/surestream_sportsextra_int.ram", "BBC Radio 5 Sports Extra", "ra");
	bbc6 = new Array("img/bbc6.png", "http://www.bbc.co.uk/6music/ram/dsatg2.ram", "BBC Radio 6 Music", "ra");
	radiox= new Array("img/radiox.png", "http://www.radio-x.co.uk/listen.asx", "Radio X", "wm");
	bbcws = new Array("img/bbcws.png", "http://www.bbc.co.uk/worldservice/meta/tx/nb/live_news_au_nb.asx", "BBC World Service", "wm");
	bbc7 = new Array("img/bbc7.png", "http://stream.servstream.com/ViewWeb/BBCRadio_music/Event/BBCRadio7.asx", "BBC 7", "wm");
	bbclondon = new Array("img/bbclondon.png", "http://www.bbc.co.uk/england/realmedia/live/localradio/london.ram", "BBC London", "ra");
	xfm = new Array("img/xfm.png", "mms://ms2.capitalinteractive.co.uk/xfm_high", "X FM London", "wm");
	
	//USA - US - 30
	skyfmsmoothjazz = new Array("img/skyfm_smoothjazz.png", "http://www.sky.fm/mp3/smoothjazz.pls", "Sky.fm Smooth Jazz", "ra");
	skyfmtophits = new Array("img/skyfm_tophits.png", "http://www.sky.fm/mp3/tophits.pls", "Sky.fm Top Hits", "ra");
	skyfmthe80s = new Array("img/skyfm_the80s.png", "http://www.sky.fm/mp3/the80s.pls", "Sky.fm The 80's", "ra");
	skyfmhit70s = new Array("img/skyfm_hit70s.png", "http://www.sky.fm/mp3/hit70s.pls", "Sky.fm Hit 70's", "ra");
	skyfmclassical = new Array("img/skyfm_classical.png", "http://www.sky.fm/mp3/classical.pls", "Sky.fm Classical", "ra");
	skyfmnewage = new Array("img/skyfm_newage.png", "http://www.sky.fm/mp3/newage.pls", "Sky.fm New Age", "ra");
	skyfmcountry = new Array("img/skyfm_country.png", "http://www.sky.fm/mp3/country.pls", "Sky.fm Country", "ra");
	skyfmrootsreggae = new Array("img/skyfm_rootsreggae.png", "http://www.sky.fm/mp3/rootsreggae.pls", "Sky.fm Roots Reggae", "ra");
	skyfmguitar = new Array("img/skyfm_guitar.png", "http://www.sky.fm/mp3/guitar.pls", "Sky.fm Guitar", "ra");
	skyfmjazz = new Array("img/skyfm_jazz.png", "http://www.sky.fm/mp3/jazz.pls","Sky.fm Jazz","ra");
	skyfmsalsa = new Array("img/skyfm_salsa.png", "http://www.sky.fm/mp3/salsa.pls", "Sky.fm Salsa", "ra");
	skyfmtrance = new Array("img/skyfm_trance.png", "http://www.di.fm/mp3/trance.pls", "Sky.fm Trance", "ra");
	skyfmchillout = new Array("img/skyfm_chillout.png", "http://www.di.fm/mp3/chillout.pls", "Sky.fm Chillout", "ra");
	skyfmdeephouse = new Array("img/skyfm_deephouse.png", "http://www.di.fm/mp3/deephouse.pls", "Sky.fm Deephouse", "ra");
	skyfmeurodance = new Array("img/skyfm_eurodance.png", "http://www.di.fm/mp3/eurodance.pls", "Sky.fm Eurodance", "ra");
	skyfmambient = new Array("img/skyfm_ambient.png", "http://www.di.fm/mp3/ambient.pls", "Sky.fm Ambient", "ra");
	skyfmlounge = new Array("img/skyfm_lounge.png", "http://www.di.fm/mp3/lounge.pls", "Sky.fm Lounge", "ra");
	groovesalad = new Array("img/groovesalad.png", "http://www.somafm.com/groovesalad.pls", "Soma FM - Groove Salad", "ra");
	secretagent = new Array("img/secretagent.png", "http://www.somafm.com/secretagent.pls", "Soma FM - Secret Agent", "ra");
	dronezone = new Array("img/dronezone.png", "http://www.somafm.com/dronezone.pls", "Soma FM - Drone Zone", "ra");
	indiepop = new Array("img/indiepop.png", "http://www.somafm.com/indiepop.pls", "Soma FM - Indie Pop Rocks", "ra");
	cliqhop = new Array("img/cliqhop.png", "http://www.somafm.com/cliqhop.pls", "Soma FM - Cliq Hop", "ra");
	beatblender = new Array("img/beatblender.png", "http://www.somafm.com/beatblender.pls", "Soma FM - Beat Belnder", "ra");
	tagstrance = new Array("img/tagstrance.png", "http://www.somafm.com/tagstrance.pls", "Soma FM - Tags Trance Trip", "ra");
	paradise = new Array("img/paradise.png", "http://www.changeip.com/radio/rp_128.asx", "Radio Paradise", "wm");
	hitzradio = new Array("img/hitzradio.png", "http://www.hitzradio.com/hitzradio.pls", "Hitzradio.com", "ra");
	kcrw = new Array("img/kcrw.png", "http://www.kcrw.com/asx/kcrwsimulcast.asx", "KCRW", "wm");
	kcrwmusic = new Array("img/kcrw_music.png", "http://www.kcrw.com/asx/kcrwmusic.asx", "KCRW - music", "wm");
	npr = new Array("img/npr.png", "http://www.npr.org/dmg/dmg.php?getProgramStream=true&NPRMediaPref=WM", "NPR", "wm");
	ap = new Array("img/ap.png", "http://stream.ap.org/audioupdate.ram", "AP", "ra");
	cnn = new Array("img/cnn.png", "http://www.cnn.com/audio/radio/liveaudio.asx", "CNN", "wm");
	}

//CHANGES RADIOSET FONTS
function changeSetFont() {
	redSetText.size = preferences.setFontSizePref.value;
	greenSetText.size = preferences.setFontSizePref.value;
	blueSetText.size = preferences.setFontSizePref.value;
	yellowSetText.size = preferences.setFontSizePref.value;
	
	redSetText.color = preferences.setFontColorPref.value;
	greenSetText.color = preferences.setFontColorPref.value;
	blueSetText.color = preferences.setFontColorPref.value;
	yellowSetText.color = preferences.setFontColorPref.value;
}

//HIDES THE RADIOSETS
function hideSets(){
	if (stat == "stop") {
		redSet.visible = false;
		greenSet.visible = false;
		blueSet.visible = false;
		yellowSet.visible = false;
		redSetText.visible = false;
		greenSetText.visible = false;
		blueSetText.visible = false;
		yellowSetText.visible = false;
	}
}		

//MAKES THE RADIOSETS VISIBLE
function showSets(){
	if (stat == "stop") {
		redSet.visible = true;
		greenSet.visible = true;
		blueSet.visible = true;
		yellowSet.visible = true;
		redSetText.visible = true;
		greenSetText.visible = true;
		blueSetText.visible = true;
		yellowSetText.visible = true;
	}
}


//SWITCHES RADIOSET
function switchSet(color){
	switch(color){
		case "red":
			preferences.currentSetPref.value = "red";
			savePreferences();
			switchStations();
			redSet.zOrder = 101;
			greenSet.zOrder = 4;
			blueSet.zOrder = 4;
			yellowSet.zOrder = 4;
			redSetText.zOrder = 101;
			greenSetText.zOrder = 4;
			blueSetText.zOrder = 4;
			yellowSetText.zOrder = 4;
			break;
		case "green":
			preferences.currentSetPref.value = "green";
			savePreferences();
			switchStations();
			redSet.zOrder = 4;
			greenSet.zOrder = 101;
			blueSet.zOrder = 4;
			yellowSet.zOrder = 4;
			redSetText.zOrder = 4;
			greenSetText.zOrder = 101;
			blueSetText.zOrder = 4;
			yellowSetText.zOrder = 4;
			break;			
		case "blue":
			preferences.currentSetPref.value = "blue";
			savePreferences();
			switchStations();
			redSet.zOrder = 4;
			greenSet.zOrder = 4;
			blueSet.zOrder = 101;
			yellowSet.zOrder = 4;
			redSetText.zOrder = 4;
			greenSetText.zOrder = 4;
			blueSetText.zOrder = 101;
			yellowSetText.zOrder = 4;
			break;
		case "yellow":
			preferences.currentSetPref.value = "yellow";
			savePreferences();
			switchStations();
			redSet.zOrder = 4;
			greenSet.zOrder = 4;
			blueSet.zOrder = 4;
			yellowSet.zOrder = 101;
			redSetText.zOrder = 4;
			greenSetText.zOrder = 4;
			blueSetText.zOrder = 4;
			yellowSetText.zOrder = 101;
			break;
	}
}

//CHANGES RADIOSETS TEXT
function changeSetText() {
	redSetText.data = preferences.redSetTextPref.value;
	greenSetText.data = preferences.greenSetTextPref.value;
	blueSetText.data = preferences.blueSetTextPref.value;
	yellowSetText.data = preferences.yellowSetTextPref.value;
	}
	
//SWITCHES RADIO STATIONS
function switchStations()
	{
	if (stat != "play")
	{
	//Load curent set of stations
	preferences.radiostationPref1.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[0]");
	preferences.radiostationPref2.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[1]");
	preferences.radiostationPref3.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[2]");
	preferences.radiostationPref4.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[3]");
	preferences.radiostationPref5.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[4]");
	preferences.radiostationPref6.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[5]");
	preferences.radiostationPref7.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[6]");
	preferences.radiostationPref8.value = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')[7]");
	savePreferences();
	
	button1.src = eval(preferences.radiostationPref1.value + "[0]");
	button1.tooltip = eval(preferences.radiostationPref1.value + "[2]");

	button2.src = eval(preferences.radiostationPref2.value + "[0]");
	button2.tooltip = eval(preferences.radiostationPref2.value + "[2]");

	button3.src = eval(preferences.radiostationPref3.value + "[0]");
	button3.tooltip = eval(preferences.radiostationPref3.value + "[2]");

	button4.src = eval(preferences.radiostationPref4.value + "[0]");
	button4.tooltip = eval(preferences.radiostationPref4.value + "[2]");

	button5.src = eval(preferences.radiostationPref5.value + "[0]");
	button5.tooltip = eval(preferences.radiostationPref5.value + "[2]");

	button6.src = eval(preferences.radiostationPref6.value + "[0]");
	button6.tooltip = eval(preferences.radiostationPref6.value + "[2]");

	button7.src = eval(preferences.radiostationPref7.value + "[0]");
	button7.tooltip = eval(preferences.radiostationPref7.value + "[2]");

	button8.src = eval(preferences.radiostationPref8.value + "[0]");
	button8.tooltip = eval(preferences.radiostationPref8.value + "[2]");
	}
}

//CLEAR BUTTONS
	function clearButtons() {
		button1.src ="";
		button2.src ="";
		button3.src ="";
		button4.src ="";
		button5.src ="";
		button6.src ="";
		button7.src ="";
		button8.src ="";
	}

//RADIOPLAYER WINDOWS MEDIA
	function playRadioWM() {
			if(stat == "play")
	            {
				PlayerWM.controls.stop();
            	restoreFromWM();
            	}
            	else
            	{
				hideSets();
				PlayerWM.URL = eval(preferences.radioStationPref.value + "[1]");
				if(preferences.showVolumePref.value =="1") {changeVol('startup');}
				//mutePlayer('startMute');
				PlayerWM.controls.play();
            	playingImage.src = eval(preferences.playingImagePref.value);
				if(preferences.streamLogoPref.value =="1") {
					streamLogo.src = "img/wm_logo.png";
					streamLogo.tooltip = "Stream format: Windows Media" + '\n' + "Stream link: " +  eval(preferences.radioStationPref.value + "[1]");
					}
            	stat = "play";
				currentStreamFormat = "wm";
				if(preferences.statusPref.value =="1") {WMstatusTimer.ticking = true;}
				if(preferences.showVolumePref.value =="1") {displayVol();}
				}
           	}
//RADIOPLAYER - REAL AUDIO			
	function playRadioRA() {
			if(stat == "play")
				{
				PlayerRA.DoStop();
				restoreFromRA();
            	}
            	else
            	{
				hideSets();
				PlayerRA.SetSource(eval(preferences.radioStationPref.value + "[1]"));
				if(preferences.showVolumePref.value =="1") {changeVol('startup');}
				//mutePlayer('startMute');
				PlayerRA.DoPlay();
				playingImage.src = eval(preferences.playingImagePref.value);
				if(preferences.streamLogoPref.value =="1") {
					streamLogo.src = "img/ra_logo.png";
					streamLogo.tooltip = "Stream format: Real Audio" + '\n' + "Stream link: " +  eval(preferences.radioStationPref.value + "[1]");
				}
            	stat = "play";
				currentStreamFormat = "ra";
				if(preferences.statusPref.value =="1") {RAstatusTimer.ticking = true;}
				if(preferences.showVolumePref.value =="1") {displayVol();}
				}
			}
//RESTORE STATE FROM RA
	function restoreFromRA() {			
		playingImage.src = "";
		stat = "stop";
		currentStreamFormat = "";
		playingLogo.src ="";
		streamLogo.src = "";
		playingLogo.tooltip="";
		playingStatusText.data = "";
		RAstatusTimer.ticking = false;
		hideVol();
		switchStations();
		showSets();
	}

//RESTORE STATE FROM WM
	function restoreFromWM() {			
       	playingImage.src = "";
		stat = "stop";
		currentStreamFormat = "";
		playingLogo.src ="";
		streamLogo.src = "";
		playingLogo.tooltip="";
		playingStatusText.data = "";
		WMstatusTimer.ticking = false;
		hideVol();
		switchStations();
		showSets();
	}

//GET PLAYER STATUS WM
	function getPlayerStatusWM() {
		var currentStatusWM = PlayerWM.playState;
		switch(currentStatusWM) {
			case 0:
				playingStatusText.data = "Undefined state";
				break;
			case 1:
				playingStatusText.data = "Player stopped";
				break;
			case 2:
				playingStatusText.data = "Player paused";
				break;
			case 3:
				playingStatusText.data = "Playing live-stream @ " + parseInt(PlayerWM.network.bitRate/1000) + " Kbps";
				break;
			case 4:
				playingStatusText.data = "Fast forwarding";
				break;
			case 5:
				playingStatusText.data = "Fast rewinding";
				break;
			case 6:
				playingStatusText.data = "Buffering";
				break;
			case 7:
				playingStatusText.data = "Waiting";
				break;
			case 8:
				playingStatusText.data = "Live stream ended";
				break;
			case 9:
				playingStatusText.data = "Preparing new media item";
				break;
			case 10:
				playingStatusText.data = "Player ready";
				break;
			case 11:
				playingStatusText.data = "Reconnecting to live-stream";
				break;
			}
	}
		
//GET PLAYER STATUS RA
	function getPlayerStatusRA() {
		var currentStatusRA = PlayerRA.GetPlayState();
		switch(currentStatusRA) {
			case 0:
				playingStatusText.data = "Player stopped";
				break;
			case 1:
				playingStatusText.data = "Connecting to live-stream";
				break;
			case 2:
				playingStatusText.data = "Buffering";
				break;
			case 3:
				playingStatusText.data = "Playing live-stream @ " + parseInt(PlayerRA.GetBandwidthCurrent())/1000 + " Kbps";
				break;
			case 4:
				playingStatusText.data = "Player paused";
				break;
			case 5:
				playingStatusText.data = "Seeking";
				break;
			}
	}
//STARTUP MODE
	function startupMode() {
		playingLogo.src = eval(preferences.radioStationPref.value + "[0]");
		playingLogo.tooltip = eval(preferences.radioStationPref.value + "[2]");
		clearButtons();
		if (eval(preferences.radioStationPref.value + "[3]") == "wm") {
				playRadioWM();
				}
				else
				{
				playRadioRA();
				}
			}
			
//VERSION CHECKER
	function checkForUpdate() {
			var verChk = new VersionChecker( "38041", "radioTuner", widget.version );
			verChk.checkVersion();
		}

//HOTKEY CHOOSER
	function changeHotkey() {
		hkey1.key = preferences.hotKeyPref.value;
		}
		
//OVERLAY CHOOSER
	function changeGlassoverlay() {
		Glassoverlay.zOrder = preferences.glassoverlayPref.value;
		}

//BACKGROUND CHOOSER
	function changeBackground() {
		Background.src = preferences.backgroundPref.value;
		}

//BORDER CHOOSER
	function changeBorder() {
		if(preferences.borderPref.value =="1") 
		{
		Border.visible = true;
		}
		else
		{
		Border.visible = false;
		}	
	}

//VERSION HISTORY
	function showVersionHistory() {
		filesystem.open("versionhistory.txt");
		}

//RADIOBUTTON POPUPMENU AUSTRALIA
	function buildMenuAU() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Australia, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";
			items[1].enabled = false;
			items[10] = new MenuItem();
			items[10].title = "702 ABC Sydney";
			items[10].onSelect = "var menuChoice='abcsydney'; setChoice();";
			items[11] = new MenuItem();
			items[11].title = "ABC Coast FM";
			items[11].onSelect = "var menuChoice='abccoast'; setChoice();";
			items[12] = new MenuItem();
			items[12].title = "ABC Radio National";
			items[12].onSelect = "var menuChoice='ranational'; setChoice();";
			items[13] = new MenuItem();
			items[13].title = "Radio Australia";
			items[13].onSelect = "var menuChoice='ra'; setChoice();";
			items[14] = new MenuItem();
			items[14].title = "Triple J";
			items[14].onSelect = "var menuChoice='triplej'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU AUSTRIA	
	function buildMenuAT() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Austria, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";			
			items[61] = new MenuItem();
			items[61].title = "ORF Ö1 - gehört gehört";
			items[61].onSelect = "var menuChoice='orfo1gehort'; setChoice();";
			items[62] = new MenuItem();
			items[62].title = "ORF Ö1 - Journale rund um die Uhr";
			items[62].onSelect = "var menuChoice='orfo1journale'; setChoice();";
			items[63] = new MenuItem();
			items[63].title = "ORF Ö3 - Hitradio";
			items[63].onSelect = "var menuChoice='orfo3'; setChoice();";
			items[64] = new MenuItem();
			items[64].title = "ORF FM4 - you're at home, baby";
			items[64].onSelect = "var menuChoice='orffm4'; setChoice();";
			items[65] = new MenuItem();
			items[65].title = "ORF - Radio Burgenland";
			items[65].onSelect = "var menuChoice='orfburgenland'; setChoice();";
			items[66] = new MenuItem();
			items[66].title = "ORF - Radio Kärnten";
			items[66].onSelect = "var menuChoice='orfkarnten'; setChoice();";
			items[67] = new MenuItem();
			items[67].title = "ORF - Radio Niederösterreich";
			items[67].onSelect = "var menuChoice='orfnieder'; setChoice();";
			items[68] = new MenuItem();
			items[68].title = "ORF - Radio Oberösterreich";
			items[68].onSelect = "var menuChoice='orfober'; setChoice();";
			items[69] = new MenuItem();
			items[69].title = "ORF - Radio Salzburg";
			items[69].onSelect = "var menuChoice='orfsalzburg'; setChoice();";
			items[70] = new MenuItem();
			items[70].title = "ORF - Radio Steiermark";
			items[70].onSelect = "var menuChoice='orfsteiermark'; setChoice();";
			items[71] = new MenuItem();
			items[71].title = "ORF - Radio Tirol";
			items[71].onSelect = "var menuChoice='orftirol'; setChoice();";
			items[72] = new MenuItem();
			items[72].title = "ORF - Radio Vorarlberg";
			items[72].onSelect = "var menuChoice='orfvorarlberg'; setChoice();";
			items[73] = new MenuItem();
			items[73].title = "ORF - Radio Wien";
			items[73].onSelect = "var menuChoice='orfwien'; setChoice();";
			items[74] = new MenuItem();
			items[74].title = "ORF - Radio 1476";
			items[74].onSelect = "var menuChoice='orf1476'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU CANADA
	function buildMenuCA() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Canada, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";
			items[81] = new MenuItem();
			items[81].title = "CFWF Regina -The Wolf- 104.9";
			items[81].onSelect = "var menuChoice='thewolf'; setChoice();";
			items[82] = new MenuItem();
			items[82].title = "CIRK Edmonton -K-rock- 97.3";
			items[82].onSelect = "var menuChoice='krock'; setChoice();";
			items[83] = new MenuItem();
			items[83].title = "CIZZ Red Deer -Zed- 98.9";
			items[83].onSelect = "var menuChoice='reddeer'; setChoice();";
			items[84] = new MenuItem();
			items[84].title = "CJAY 92 - Calgary";
			items[84].onSelect = "var menuChoice='cj92'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU CZECH REPUBLIC
	function buildMenuCZ() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Czech Republic, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";
			items[2] = new MenuItem();
			items[2].title = "Evropa 2";
			items[2].onSelect = "var menuChoice='evropa2'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU GERMANY	
	function buildMenuDE() {		
			var items = new Array();
			items[90] = new MenuItem();
			items[90].title = "- Germany, choose station -";
			items[90].enabled = false;
			items[91] = new MenuItem();
			items[91].title = "dradio.de - Deutschlandfunk";
			items[91].onSelect = "var menuChoice='dlf'; setChoice();";
			items[92] = new MenuItem();
			items[92].title = "dradio.de - Deutschlandradio Kultur";
			items[92].onSelect = "var menuChoice='dlk'; setChoice();";
			items[93] = new MenuItem();
			items[93].title = "Klassik radio";
			items[93].onSelect = "var menuChoice='klassikradio'; setChoice();";
			items[94] = new MenuItem();
			items[94].title = "NRJ Berlin";
			items[94].onSelect = "var menuChoice='nrjberlin'; setChoice();";
			items[95] = new MenuItem();
			items[95].title = "NRJ Bremen";
			items[95].onSelect = "var menuChoice='nrjbremen'; setChoice();";
			items[96] = new MenuItem();
			items[96].title = "NRJ Hamburg";
			items[96].onSelect = "var menuChoice='nrjhamburg'; setChoice();";
			items[97] = new MenuItem();
			items[97].title = "NRJ München";
			items[97].onSelect = "var menuChoice='nrjmunchen'; setChoice();";
			items[98] = new MenuItem();
			items[98].title = "NRJ Nürnberg";
			items[98].onSelect = "var menuChoice='nrjnurnberg'; setChoice();";
			items[99] = new MenuItem();
			items[99].title = "NRJ Sachsen";
			items[99].onSelect = "var menuChoice='nrjsachsen'; setChoice();";
			items[100] = new MenuItem();
			items[100].title = "Radio Paradiso 98,2 - Berlin";
			items[100].onSelect = "var menuChoice='paradiso'; setChoice();";			
			items[101] = new MenuItem();
			items[101].title = "RS2";
			items[101].onSelect = "var menuChoice='rs2'; setChoice();";			
			items[102] = new MenuItem();
			items[102].title = "SpreeRadio";
			items[102].onSelect = "var menuChoice='spreeradio'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU NETHERLANDS
	function buildMenuNL() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Netherlands, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";
			items[1].enabled = false;
			items[2] = new MenuItem();
			items[2].title = "Radio 4";
			items[2].onSelect = "var menuChoice='nlr4'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}
//RADIOBUTTON POPUPMENU PANAMA	
	function buildMenuPA() {
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Panama, Choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";
			items[1].enabled = false;
			items[2] = new MenuItem();
			items[2].title = "40 Principales";
			items[2].onSelect = "var menuChoice='princ'; setChoice();";
			items[3] = new MenuItem();
			items[3].title = "Antena 8";
			items[3].onSelect = "var menuChoice='antena8'; setChoice();";
			items[5] = new MenuItem();
			items[5].title = "Blast";
			items[5].onSelect = "var menuChoice='blast'; setChoice();";
			items[6] = new MenuItem();
			items[6].title = "Caliente 97";
			items[6].onSelect = "var menuChoice='caliente'; setChoice();";
			items[7] = new MenuItem();
			items[7].title = "Estereo Bahia";
			items[7].onSelect = "var menuChoice='bahia'; setChoice();";
			items[8] = new MenuItem();
			items[8].title = "Fabulosa";
			items[8].onSelect = "var menuChoice='fabulosa'; setChoice();";
			items[9] = new MenuItem();
			items[9].title = "KW Continete";
			items[9].onSelect = "var menuChoice='kw'; setChoice();";
			items[10] = new MenuItem();
			items[10].title = "La 95. uno";
			items[10].onSelect = "var menuChoice='la95'; setChoice();";
			items[11] = new MenuItem();
			items[11].title = "L.A. Mega";
			items[11].onSelect = "var menuChoice='mega'; setChoice();";
			items[12] = new MenuItem();
			items[12].title = "La voz del tropico";
			items[12].onSelect = "var menuChoice='tropico'; setChoice();";
			items[13] = new MenuItem();
			items[13].title = "Marbella";
			items[13].onSelect = "var menuChoice='marbella'; setChoice();";
			items[14] = new MenuItem();
			items[14].title = "Mega Mix";
			items[14].onSelect = "var menuChoice='megamix'; setChoice();";
			items[15] = new MenuItem();
			items[15].title = "M.E.T.O.";
			items[15].onSelect = "var menuChoice='meto'; setChoice();";
			items[16] = new MenuItem();
			items[16].title = "Omega Stereo";
			items[16].onSelect = "var menuChoice='omega'; setChoice();";
			items[17] = new MenuItem();
			items[17].title = "Planet 100.9";
			items[17].onSelect = "var menuChoice='planet'; setChoice();";
			items[18] = new MenuItem();
			items[18].title = "Power";
			items[18].onSelect = "var menuChoice='super1'; setChoice();";
			items[19] = new MenuItem();
			items[19].title = "Radio 10";
			items[19].onSelect = "var menuChoice='radio10'; setChoice();";
			items[20] = new MenuItem();
			items[20].title = "Radio Chiriqui";
			items[20].onSelect = "var menuChoice='chiriqui'; setChoice();";
			items[21] = new MenuItem();
			items[21].title = "Radio Claret";
			items[21].onSelect = "var menuChoice='claret'; setChoice();";
			items[22] = new MenuItem();
			items[22].title = "Radio Hit";
			items[22].onSelect = "var menuChoice='hit'; setChoice();";
			items[23] = new MenuItem();
			items[23].title = "Radio Mia";
			items[23].onSelect = "var menuChoice='mia'; setChoice();";
			items[24] = new MenuItem();
			items[24].title = "Radio Mil";
			items[24].onSelect = "var menuChoice='radiomil'; setChoice();";
			items[25] = new MenuItem();
			items[25].title = "Radio Provincias";
			items[25].onSelect = "var menuChoice='prov'; setChoice();";
			items[26] = new MenuItem();
			items[26].title = "Radio Reforma";
			items[26].onSelect = "var menuChoice='reforma'; setChoice();";
			items[27] = new MenuItem();
			items[27].title = "Rock n Pop";
			items[27].onSelect = "var menuChoice='rocknpop'; setChoice();";
			items[28] = new MenuItem();
			items[28].title = "RPC Radio";
			items[28].onSelect = "var menuChoice='rpc'; setChoice();";
			items[29] = new MenuItem();
			items[29].title = "Stereo 89";
			items[29].onSelect = "var menuChoice='stereo89'; setChoice();";
			items[30] = new MenuItem();
			items[30].title = "Super Q";
			items[30].onSelect = "var menuChoice='superq'; setChoice();";
			items[31] = new MenuItem();
			items[31].title = "Stereo Ritmo";
			items[31].onSelect = "var menuChoice='ritmo'; setChoice();";
			items[32] = new MenuItem();
			items[32].title = "TropiQ";
			items[32].onSelect = "var menuChoice='tropiq'; setChoice();";
			items[33] = new MenuItem();
			items[33].title = "Tropy Hits";
			items[33].onSelect = "var menuChoice='tropy'; setChoice();";
			items[34] = new MenuItem();
			items[34].title = "WAO 975";
			items[34].onSelect = "var menuChoice='wao975'; setChoice();";
			items[35] = new MenuItem();
			items[35].title = "W Radio";
			items[35].onSelect = "var menuChoice='wradio'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}
//RADIOBUTTON POPUPMENU SWEDEN	
	function buildMenuSE() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- Sweden, choose station -";
			items[0].enabled = false;	
			items[1] = new MenuItem();
			items[1].title = "-";			
			items[2] = new MenuItem();
			items[2].title = "Bandit Rock 106,3";
			items[2].onSelect = "var menuChoice='bandit'; setChoice();";
			items[3] = new MenuItem();
			items[3].title = "Gamla godingar 107,1 Vinyl";
			items[3].onSelect = "var menuChoice='gamlagodingar'; setChoice();";
			items[4] = new MenuItem();
			items[4].title = "indie.nu";
			items[4].onSelect = "var menuChoice='indie'; setChoice();";
			items[5] = new MenuItem();
			items[5].title = "Love 103,9";
			items[5].onSelect = "var menuChoice='love'; setChoice();";
			items[6] = new MenuItem();
			items[6].title = "Lugna favoriter";
			items[6].onSelect = "var menuChoice='lugnafavoriter'; setChoice();";
			items[7] = new MenuItem();
			items[7].title = "MIX Megapol";
			items[7].onSelect = "var menuChoice='mixmegapol'; setChoice();";
			items[8] = new MenuItem();
			items[8].title = "NRJ";
			items[8].onSelect = "var menuChoice='nrj'; setChoice();";
			items[9] = new MenuItem();
			items[9].title = "Playdio";
			items[9].onSelect = "var menuChoice='playdio'; setChoice();";
			items[10] = new MenuItem();
			items[10].title = "Radio Active 103,9";
			items[10].onSelect = "var menuChoice='radioactive'; setChoice();";
			items[11] = new MenuItem();
			items[11].title = "Radio City - Göteborg";
			items[11].onSelect = "var menuChoice='citygbg'; setChoice();";
			items[12] = new MenuItem();
			items[12].title = "Radio City - Malmö";
			items[12].onSelect = "var menuChoice='citymalmo'; setChoice();";
			items[13] = new MenuItem();
			items[13].title = "Radio Match - Borås";
			items[13].onSelect = "var menuChoice='matchboras'; setChoice();";
			items[14] = new MenuItem();
			items[14].title = "Radio Match - Jönköping";
			items[14].onSelect = "var menuChoice='matchjonkoping'; setChoice();";
			items[15] = new MenuItem();
			items[15].title = "Radio Match - Kalmar";
			items[15].onSelect = "var menuChoice='matchkalmar'; setChoice();";
			items[16] = new MenuItem();
			items[16].title = "Radio Match - Karlskrona";
			items[16].onSelect = "var menuChoice='matchkarlskrona'; setChoice();";
			items[17] = new MenuItem();
			items[17].title = "Radio seven";
			items[17].onSelect = "var menuChoice='radioseven'; setChoice();";
			items[18] = new MenuItem();
			items[18].title = "RadioVox";
			items[18].onSelect = "var menuChoice='radiovox'; setChoice();";
			items[19] = new MenuItem();
			items[19].title = "RIX FM";
			items[19].onSelect = "var menuChoice='rixfm'; setChoice();";
			items[20] = new MenuItem();
			items[20].title = "Rockklassiker 106,7";
			items[20].onSelect = "var menuChoice='rockklassiker'; setChoice();";
			items[21] = new MenuItem();
			items[21].title = "Soundic Radio";
			items[21].onSelect = "var menuChoice='soundic'; setChoice();";
			items[22] = new MenuItem();
			items[22].title = "SR Din gata";
			items[22].onSelect = "var menuChoice='srdingata'; setChoice();";
			items[23] = new MenuItem();
			items[23].title = "SR P1";
			items[23].onSelect = "var menuChoice='srp1'; setChoice();";
			items[24] = new MenuItem();
			items[24].title = "SR P2";
			items[24].onSelect = "var menuChoice='srp2'; setChoice();";
			items[25] = new MenuItem();
			items[25].title = "SR P3";
			items[25].onSelect = "var menuChoice='srp3'; setChoice();";
			items[26] = new MenuItem();
			items[26].title = "SR P3 Rockster";
			items[26].onSelect = "var menuChoice='srp3rockster'; setChoice();";
			items[27] = new MenuItem();
			items[27].title = "SR P3 Star";
			items[27].onSelect = "var menuChoice='srp3star'; setChoice();";
			items[28] = new MenuItem();
			items[28].title = "SR P3 Street";
			items[28].onSelect = "var menuChoice='srp3street'; setChoice();";
			items[29] = new MenuItem();
			items[29].title = "SR P3 Svea";
			items[29].onSelect = "var menuChoice='srp3svea'; setChoice();";
			items[30] = new MenuItem();
			items[30].title = "SR P5 Stockholm";
			items[30].onSelect = "var menuChoice='srp5'; setChoice();";
			items[31] = new MenuItem();
			items[31].title = "SR X";
			items[31].onSelect = "var menuChoice='srx'; setChoice();";
			items[32] = new MenuItem();
			items[32].title = "SR P4 Blekinge";
			items[32].onSelect = "var menuChoice='srp4k'; setChoice();";
			items[33] = new MenuItem();
			items[33].title = "SR P4 Dalarna";
			items[33].onSelect = "var menuChoice='srp4w'; setChoice();";
			items[34] = new MenuItem();
			items[34].title = "SR P4 Gotland";
			items[34].onSelect = "var menuChoice='srp4i'; setChoice();";
			items[35] = new MenuItem();
			items[35].title = "SR P4 Gävleborg";
			items[35].onSelect = "var menuChoice='srp4x'; setChoice();";
			items[36] = new MenuItem();
			items[36].title = "SR P4 Göteborg";
			items[36].onSelect = "var menuChoice='srp4gote'; setChoice();";
			items[37] = new MenuItem();
			items[37].title = "SR P4 Halland";
			items[37].onSelect = "var menuChoice='srp4n'; setChoice();";
			items[38] = new MenuItem();
			items[38].title = "SR P4 Jämtland";
			items[38].onSelect = "var menuChoice='srp4z'; setChoice();";
			items[39] = new MenuItem();
			items[39].title = "SR P4 Jönköping";
			items[39].onSelect = "var menuChoice='srp4f'; setChoice();";
			items[40] = new MenuItem();
			items[40].title = "SR P4 Kalmar";
			items[40].onSelect = "var menuChoice='srp4h'; setChoice();";
			items[41] = new MenuItem();
			items[41].title = "SR P4 Kristianstad";
			items[41].onSelect = "var menuChoice='srp4krist'; setChoice();";
			items[42] = new MenuItem();
			items[42].title = "SR P4 Kronoberg";
			items[42].onSelect = "var menuChoice='srp4g'; setChoice();";
			items[43] = new MenuItem();
			items[43].title = "SR P4 Malmö";
			items[43].onSelect = "var menuChoice='srp4malmo'; setChoice();";
			items[44] = new MenuItem();
			items[44].title = "SR P4 Norrbotten";
			items[44].onSelect = "var menuChoice='srp4bd'; setChoice();";
			items[45] = new MenuItem();
			items[45].title = "SR P4 Väst";
			items[45].onSelect = "var menuChoice='srp4o'; setChoice();";
			items[46] = new MenuItem();
			items[46].title = "SR P4 Sjuhärad";
			items[46].onSelect = "var menuChoice='srp4sju'; setChoice();";
			items[47] = new MenuItem();
			items[47].title = "SR P4 Skaraborg";
			items[47].onSelect = "var menuChoice='srp4skara'; setChoice();";
			items[48] = new MenuItem();
			items[48].title = "SR P4 Stockholm";
			items[48].onSelect = "var menuChoice='srp4ab'; setChoice();";
			items[49] = new MenuItem();
			items[49].title = "SR P4 Sörmland";
			items[49].onSelect = "var menuChoice='srp4d'; setChoice();";
			items[50] = new MenuItem();
			items[50].title = "SR P4 Uppland";
			items[50].onSelect = "var menuChoice='srp4c'; setChoice();";
			items[51] = new MenuItem();
			items[51].title = "SR P4 Värmland";
			items[51].onSelect = "var menuChoice='srp4s'; setChoice();";
			items[52] = new MenuItem();
			items[52].title = "SR P4 Västerbotten";
			items[52].onSelect = "var menuChoice='srp4ac'; setChoice();";
			items[53] = new MenuItem();
			items[53].title = "SR P4 Västmanland";
			items[53].onSelect = "var menuChoice='srp4u'; setChoice();";
			items[54] = new MenuItem();
			items[54].title = "SR P4 Västernorrland";
			items[54].onSelect = "var menuChoice='srp4y'; setChoice();";
			items[55] = new MenuItem();
			items[55].title = "SR P4 Örebro";
			items[55].onSelect = "var menuChoice='srp4t'; setChoice();";
			items[56] = new MenuItem();
			items[56].title = "SR P4 Östergötland";
			items[56].onSelect = "var menuChoice='srp4e'; setChoice();";
			items[57] = new MenuItem();
			items[57].title = "Studio 107,5";
			items[57].onSelect = "var menuChoice='studio1075'; setChoice();";
			items[58] = new MenuItem();
			items[58].title = "Svenska favoriter";
			items[58].onSelect = "var menuChoice='svenskafavoriter'; setChoice();";
			items[59] = new MenuItem();
			items[59].title = "The Voice";
			items[59].onSelect = "var menuChoice='thevoice'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU UK	
	function buildMenuUK() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- UK, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";			
			items[111] = new MenuItem();
			items[111].title = "BBC Radio 1";
			items[111].onSelect = "var menuChoice='bbc1'; setChoice();";
			items[112] = new MenuItem();
			items[112].title = "BBC Radio 1 Extra";
			items[112].onSelect = "var menuChoice='bbconeextra'; setChoice();";
			items[113] = new MenuItem();
			items[113].title = "BBC Radio 2";
			items[113].onSelect = "var menuChoice='bbc2'; setChoice();";
			items[114] = new MenuItem();
			items[114].title = "BBC Radio 3";
			items[114].onSelect = "var menuChoice='bbc3'; setChoice();";
			items[115] = new MenuItem();
			items[115].title = "BBC Radio 4";
			items[115].onSelect = "var menuChoice='bbc4'; setChoice();";
			items[116] = new MenuItem();
			items[116].title = "BBC Radio 5";
			items[116].onSelect = "var menuChoice='bbc5'; setChoice();";
			items[117] = new MenuItem();
			items[117].title = "BBC Radio 5 Sports Extra";
			items[117].onSelect = "var menuChoice='bbc5extra'; setChoice();";
			items[118] = new MenuItem();
			items[118].title = "BBC Radio 6 Music";
			items[118].onSelect = "var menuChoice='bbc6'; setChoice();";
			items[119] = new MenuItem();
			items[119].title = "BBC 7";
			items[119].onSelect = "var menuChoice='bbc7'; setChoice();";
			items[120] = new MenuItem();
			items[120].title = "BBC London";
			items[120].onSelect = "var menuChoice='bbclondon'; setChoice();";
			items[121] = new MenuItem();
			items[121].title = "BBC World Service";
			items[121].onSelect = "var menuChoice='bbcws'; setChoice();";
			items[122] = new MenuItem();
			items[122].title = "Radio X";
			items[122].onSelect = "var menuChoice='radiox'; setChoice();";
			items[123] = new MenuItem();
			items[123].title = "Virgin Radio";
			items[123].onSelect = "var menuChoice='virgin'; setChoice();";
			items[124] = new MenuItem();
			items[124].title = "Virgin Classic Rock";
			items[124].onSelect = "var menuChoice='virginclassic'; setChoice();";
			items[125] = new MenuItem();
			items[125].title = "Virgin Groove";
			items[125].onSelect = "var menuChoice='virgingroove'; setChoice();";
			items[126] = new MenuItem();
			items[126].title = "Virgin Xtreme";
			items[126].onSelect = "var menuChoice='virginxtreme'; setChoice();";
			items[127] = new MenuItem();
			items[127].title = "X FM London";
			items[127].onSelect = "var menuChoice='xfm'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}

//RADIOBUTTON POPUPMENU USA	
	function buildMenuUS() {		
			var items = new Array();
			items[0] = new MenuItem();
			items[0].title = "- USA, choose station -";
			items[0].enabled = false;
			items[1] = new MenuItem();
			items[1].title = "-";			
			items[125] = new MenuItem();
			items[125].title = "AP";
			items[125].onSelect = "var menuChoice='ap'; setChoice();";
			items[126] = new MenuItem();
			items[126].title = "CNN";
			items[126].onSelect = "var menuChoice='cnn'; setChoice();";
			items[127] = new MenuItem();
			items[127].title = "Hitzradio.com";
			items[127].onSelect = "var menuChoice='hitzradio'; setChoice();";
			items[128] = new MenuItem();
			items[128].title = "KCRW";
			items[128].onSelect = "var menuChoice='kcrw'; setChoice();";
			items[129] = new MenuItem();
			items[129].title = "KCRW - music";
			items[129].onSelect = "var menuChoice='kcrwmusic'; setChoice();";
			items[130] = new MenuItem();
			items[130].title = "NPR";
			items[130].onSelect = "var menuChoice='npr'; setChoice();";
			items[131] = new MenuItem();
			items[131].title = "Radio Paradise";
			items[131].onSelect = "var menuChoice='paradise'; setChoice();";
			items[132] = new MenuItem();
			items[132].title = "Sky.fm Ambient";
			items[132].onSelect = "var menuChoice='skyfmambient'; setChoice();";
			items[133] = new MenuItem();
			items[133].title = "Sky.fm Classical";
			items[133].onSelect = "var menuChoice='skyfmclassical'; setChoice();";
			items[134] = new MenuItem();
			items[134].title = "Sky.fm Chillout";
			items[134].onSelect = "var menuChoice='skyfmchillout'; setChoice();";
			items[135] = new MenuItem();
			items[135].title = "Sky.fm Country";
			items[135].onSelect = "var menuChoice='skyfmcountry'; setChoice();";
			items[136] = new MenuItem();
			items[136].title = "Sky.fm Deephouse";
			items[136].onSelect = "var menuChoice='skyfmdeephouse'; setChoice();";
			items[137] = new MenuItem();
			items[137].title = "Sky.fm Eurodance";
			items[137].onSelect = "var menuChoice='skyfmeurodance'; setChoice();";
			items[138] = new MenuItem();
			items[138].title = "Sky.fm Guitar";
			items[138].onSelect = "var menuChoice='skyfmguitar'; setChoice();";
			items[139] = new MenuItem();
			items[139].title = "Sky.fm Hit 70's";
			items[139].onSelect = "var menuChoice='skyfmhit70s'; setChoice();";
			items[140] = new MenuItem();
			items[140].title = "Sky.fm Jazz";
			items[140].onSelect = "var menuChoice='skyfmjazz'; setChoice();";
			items[141] = new MenuItem();
			items[141].title = "Sky.fm Lounge";
			items[141].onSelect = "var menuChoice='skyfmlounge'; setChoice();";
			items[142] = new MenuItem();
			items[142].title = "Sky.fm New Age";
			items[142].onSelect = "var menuChoice='skyfmnewage'; setChoice();";
			items[143] = new MenuItem();
			items[143].title = "Sky.fm Roots Reggae";
			items[143].onSelect = "var menuChoice='skyfmrootsreggae'; setChoice();";
			items[144] = new MenuItem();
			items[144].title = "Sky.fm Salsa";
			items[144].onSelect = "var menuChoice='skyfmsalsa'; setChoice();";
			items[145] = new MenuItem();
			items[145].title = "Sky.fm Smooth Jazz";
			items[145].onSelect = "var menuChoice='skyfmsmoothjazz'; setChoice();";
			items[146] = new MenuItem();
			items[146].title = "Sky.fm The 80's";
			items[146].onSelect = "var menuChoice='skyfmthe80s'; setChoice();";
			items[147] = new MenuItem();
			items[147].title = "Sky.fm Top Hits";
			items[147].onSelect = "var menuChoice='skyfmtophits'; setChoice();";
			items[148] = new MenuItem();
			items[148].title = "Sky.fm Trance";
			items[148].onSelect = "var menuChoice='skyfmtrance'; setChoice();";
			items[149] = new MenuItem();
			items[149].title = "Soma FM - Groove Salad";
			items[149].onSelect = "var menuChoice='groovesalad'; setChoice();";
			items[150] = new MenuItem();
			items[150].title = "Soma FM - Secret Agent";
			items[150].onSelect = "var menuChoice='secretagent'; setChoice();";
			items[151] = new MenuItem();
			items[151].title = "Soma FM - Drone Zone";
			items[151].onSelect = "var menuChoice='dronezone'; setChoice();";
			items[152] = new MenuItem();
			items[152].title = "Soma FM - Indie Pop Rocks";
			items[152].onSelect = "var menuChoice='indiepop'; setChoice();";
			items[153] = new MenuItem();
			items[153].title = "Soma FM - Cliq Hop";
			items[153].onSelect = "var menuChoice='cliqhop'; setChoice();";
			items[154] = new MenuItem();
			items[154].title = "Soma FM - Beat Blender";
			items[154].onSelect = "var menuChoice='beatblender'; setChoice();";
			items[155] = new MenuItem();
			items[155].title = "Soma FM - Tags Trance Trip";
			items[155].onSelect = "var menuChoice='tagstrance'; setChoice();";
		popupMenu(items, system.event.hOffset, system.event.vOffset);
	}
//MENU CHOOSER
	function setChoice() {
		currentSetVar = eval("preferences." + preferences.currentSetPref.value + "SetPref.value.split('|')");
		switch(buttonMenu) {
			case "1":
				currentSetVar[0] = menuChoice;
				break;
			case "2":
				currentSetVar[1] = menuChoice;
				break;
			case "3":
				currentSetVar[2] = menuChoice;
				break;
			case "4":
				currentSetVar[3] = menuChoice;
				break;
			case "5":
				currentSetVar[4] = menuChoice;
				break;
			case "6":
				currentSetVar[5] = menuChoice;
				break;
			case "7":
				currentSetVar[6] = menuChoice;
				break;
			case "8":
				currentSetVar[7] = menuChoice;
				break;
		}
		convertedSetVar = currentSetVar[0] + '|' + currentSetVar[1] + '|' + currentSetVar[2] + '|' + currentSetVar[3] + '|' + currentSetVar[4] + '|' + currentSetVar[5] + '|' + currentSetVar[6] + '|' + currentSetVar[7];
		switch(preferences.currentSetPref.value){
			case "red":
				preferences.redSetPref.value = convertedSetVar;
				break;
			case "green":
				preferences.greenSetPref.value = convertedSetVar;
				break;
			case "blue":
				preferences.blueSetPref.value = convertedSetVar;
				break;
			case "yellow":
				preferences.yellowSetPref.value = convertedSetVar;
				break;
		}
		currentSetVar=null;
		convertedSetVar=null;
		savePreferences();		
		switchStations();
	}
	
//BUTTON TOPMENU	
	function buildTopMenu() {		
			var topitems = new Array();
			topitems[0] = new MenuItem();
			topitems[0].title = "Radiostations, choose country";
			topitems[0].enabled = false;
			topitems[1] = new MenuItem();
			topitems[1].title = "-";
			topitems[2] = new MenuItem();
			topitems[2].title = "Australia";
			topitems[2].onSelect = "buildMenuAU();";
			topitems[3] = new MenuItem();
			topitems[3].title = "Austria";
			topitems[3].onSelect = "buildMenuAT();";			
			topitems[4] = new MenuItem();
			topitems[4].title = "Canada";
			topitems[4].onSelect = "buildMenuCA();";
			topitems[5] = new MenuItem();
			topitems[5].title = "Czech Republic";
			topitems[5].onSelect = "buildMenuCZ();";
			topitems[6] = new MenuItem();
			topitems[6].title = "Germany";
			topitems[6].onSelect = "buildMenuDE();";
			topitems[7] = new MenuItem();
			topitems[7].title = "Netherlands";
			topitems[7].onSelect = "buildMenuNL();";	
			topitems[8] = new MenuItem();
			topitems[8].title = "Panama";
			topitems[8].onSelect = "buildMenuPA();";
			topitems[9] = new MenuItem();
			topitems[9].title = "Sweden";
			topitems[9].onSelect = "buildMenuSE();";
			topitems[10] = new MenuItem();
			topitems[10].title = "UK";
			topitems[10].onSelect = "buildMenuUK();";
			topitems[11] = new MenuItem();
			topitems[11].title = "USA";
			topitems[11].onSelect = "buildMenuUS();";
		popupMenu(topitems, system.event.hOffset, system.event.vOffset);
	}
	
//COPY LINK TO CLIPBOARD
function linkToClipBoard() {
	system.clipboard = eval(preferences.radioStationPref.value + "[1]");
}
savePreferences();